Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ClsesTreeDragSourceListener

    java.lang.Object
      edu.stanford.smi.protege.util.TreeDragSourceListener
          edu.stanford.smi.protege.ui.ClsesTreeDragSourceListener

All Implemented Interfaces:
  DragGestureListener, DragSourceListener, EventListener

    public class ClsesTreeDragSourceListener

extends TreeDragSourceListener

Source listener drag and drop support for the SlotsTree. All this guy has to do is to disconnect a class from its superclass on a successful move/drop operation. * @author Ray Fergerson

Constructor Summary
`ClsesTreeDragSourceListener()`

Method Summary
`boolean` | `canStartDrag(Collection objects)`
`void` | `doCopy(Collection paths)`
`void` | `doMove(Collection paths)`

Methods inherited from class edu.stanford.smi.protege.util.TreeDragSourceListener
`dragDropEnd, dragEnter, dragExit, dragGestureRecognized, dragOver, dropActionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClsesTreeDragSourceListener

    public ClsesTreeDragSourceListener()

Method Detail

### canStartDrag

    public boolean canStartDrag(Collection objects)

  Specified by:
    `canStartDrag` in class `TreeDragSourceListener`

### doCopy

    public void doCopy(Collection paths)

  Specified by:
    `doCopy` in class `TreeDragSourceListener`

### doMove

    public void doMove(Collection paths)

  Specified by:
    `doMove` in class `TreeDragSourceListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.